Bug 1569834

Summary: gthumb is crashing without any obvious reason
Product: [Fedora] Fedora Reporter: Michal Jaegermann <michal.jnn>
Component: gthumbAssignee: Christian Krause <chkr>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: alexl, chkr, john.j5live, mclasen, rhughes, rstrode, sandmann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 21:12:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
core backtrace produced by abrt for gthumb crash none

Description Michal Jaegermann 2018-04-20 04:24:05 UTC
Created attachment 1424366 [details]
core backtrace produced by abrt for gthumb crash

Description of problem:

In recent times gthumb crashed on me a few times in what looked like a "normal" operation.  The problem was reported by abrt to retrace.fedoraproject.org with BTHASH=a1eefcde9507430302f9b5fcda0c0a98265b0ec6 but abrt refused to upload a core as too big (it is 1.5G although bzip2 reduces that to 339M).  Reason given is "gthumb killed by SIGABRT" and core backtrace in attached

Version-Release number of selected component (if applicable):
gthumb-3.6.0-1.fc27

How reproducible:
happened few times apparently at random

Comment 1 Michal Jaegermann 2018-04-20 04:31:08 UTC
After the crash I found also this:

gthumb: cairo-surface.c:955: cairo_surface_destroy: Assertion `CAIRO_REFERENCE_COUNT_HAS_REFERENCE (&surface->ref_count)' failed.

Comment 2 Ben Cotton 2018-11-27 16:03:17 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:12:16 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.